# 关于h5中的Loading小插件

## 如何使用？
> 下载
  `npm install bz-h5-loading`

> 初始化实例
  `config = { type: 1, text: '正在加载' }`
  `var load = new BzLoading(config)`

> 展示
  `load.show()`

> 隐藏
  `load.hide()`

> config参数
  + type: loading类型（1、2、3、4、5）,
  + text: 加载文字

## 说明
* 做的效果不可能跟你实际效果一模一样，根据自己的需求找到对应的css、js做相应的修改。

## 版本记录

| 版本      | 功能      |
| --------   | -----  |
| 1.0.1     | loading插件初始化 |
| 1.1.0     | 传参格式效验    |
| 1.2.0      | 锁定页面 |
| 1.2.1      | 菊花loading样式修改 |
| 1.2.2      | 增加使用说明，代码优化 |
| 1.2.3      | 代码优化 |
| 1.2.4      | 代码优化 |
| 1.2.5      | 代码优化 |
| 1.2.6      | 代码优化 |
| 1.2.7      | 增加类型为4和5的loading样式 |
| 1.2.8      | 增加类型为6和7的loading样式 |
| 1.2.9      | 代码优化 |
| 1.2.10      | 代码优化 |
| 1.2.11      | loading类型改变，代码优化 |

